{
	"name": "table/external/woocommerce/product/product.json",
	"info": "http://woocommerce.github.io/woocommerce-rest-api-docs/#retrieve-a-product",
	"table_name": "products",
	"table_prefix": "pr",
	"record_type": ["product"],
	"local_table": "product",
	"local_record_type": "product",
	"default_field": "table/default_field.json",
	"field": [
		{
			"field_name": "json_data.fake_record_id",
			"field_type": "text",
			"local_field": "record_id",
			"writeable": false
		},
		{
			"field_name": "sku",
			"field_type": "text",
			"local_field": "product_id"
		},
		{
			"field_name": "id",
			"field_type": "text",
			"local_field": "json_data.abc_class"
		},
		{
			"field_name": "name",
			"field_type": "text",
			"local_field": "name"
		},
		{
			"field_name": "tax_class",
			"field_type": "text",
			"local_field": "sales_order_code_id",
			"writeable": false
		},
		{
			"field_name": "description",
			"field_type": "text",
			"local_field": "info"
		},
		{
			"field_name": "price",
			"field_type": "text",
			"local_field": "sales_price"
		},
		{
			"field_name": "date_modified",
			"field_type": "datetime",
			"local_field": "json_data.price_change_date"
		},
		{
			"field_name": "type",
			"field_type": "text",
			"local_field": "product_group",
			"writeable": false
		},
		{
			"field_name": "weight",
			"field_type": "text",
			"local_field": "json_data.net_weight"
		},
		{
			"field_name": "short_description",
			"field_type": "text",
			"local_field": "json_data.explanation"
		},
		{
			"field_name": "stock_quantity",
			"field_type": "integer",
			"local_field": "stock_balance"
		},
		{
			"field_name": "categories",
			"field_type": "text"
		},
		{
			"field_name": "dimensions",
			"field_type": "text"
		},
		{
			"field_name": "tags",
			"field_type": "text"
		},
		{
			"field_name": "tax_status",
			"field_type": "text",
			"default_value": "taxable"
		},
		{
			"field_name": "manage_stock",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "in_stock",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "on_sale",
			"field_type": "boolean",
			"default_value": false
		},
		{
			"field_name": "purchasable",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "reviews_allowed",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "shipping_required",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "shipping_taxable",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "sold_individually",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "backorders_allowed",
			"field_type": "boolean",
			"default_value": true
		},
		{
			"field_name": "status",
			"field_type": "text",
			"default_value": "publish"
		}
	],
	"fields_not_in_use": [
		{
			"field_name": "average_rating",
			"field_type": "text",
			"local_field": "json_data.woocommerce.average_rating"
		},
		{
			"field_name": "backordered",
			"field_type": "text",
			"local_field": "json_data.woocommerce.backordered"
		},
		{
			"field_name": "backorders",
			"field_type": "text",
			"local_field": "json_data.woocommerce.backorders"
		},
		{
			"field_name": "button_text",
			"field_type": "text",
			"local_field": "json_data.woocommerce.button_text"
		},
		{
			"field_name": "catalog_visibility",
			"field_type": "text",
			"local_field": "json_data.woocommerce.catalog_visibility"
		},
		{
			"field_name": "date_created",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_created"
		},
		{
			"field_name": "date_created_gmt",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_created_gmt"
		},
		{
			"field_name": "date_modified_gmt",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_modified_gmt"
		},
		{
			"field_name": "date_on_sale_from",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_on_sale_from"
		},
		{
			"field_name": "date_on_sale_from_gmt",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_on_sale_from_gmt"
		},
		{
			"field_name": "date_on_sale_to",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_on_sale_to"
		},
		{
			"field_name": "date_on_sale_to_gmt",
			"field_type": "datetime",
			"local_field": "json_data.woocommerce.date_on_sale_to_gmt"
		},
		{
			"field_name": "download_expiry",
			"field_type": "text",
			"local_field": "json_data.woocommerce.download_expiry"
		},
		{
			"field_name": "download_limit",
			"field_type": "text",
			"local_field": "json_data.woocommerce.download_limit"
		},
		{
			"field_name": "downloadable",
			"field_type": "text",
			"local_field": "json_data.woocommerce.downloadable"
		},
		{
			"field_name": "external_url",
			"field_type": "text",
			"local_field": "json_data.woocommerce.external_url"
		},
		{
			"field_name": "featured",
			"field_type": "text",
			"local_field": "json_data.woocommerce.featured"
		},
		{
			"field_name": "parent_id",
			"field_type": "text",
			"local_field": "json_data.woocommerce.parent_id"
		},
		{
			"field_name": "permalink",
			"field_type": "text",
			"local_field": "json_data.woocommerce.permalink"
		},
		{
			"field_name": "price_html",
			"field_type": "text",
			"local_field": "json_data.woocommerce.price_html"
		},
		{
			"field_name": "purchase_note",
			"field_type": "text",
			"local_field": "json_data.woocommerce.purchase_note"
		},
		{
			"field_name": "rating_count",
			"field_type": "text",
			"local_field": "json_data.woocommerce.rating_count"
		},
		{
			"field_name": "regular_price",
			"field_type": "text",
			"local_field": "json_data.woocommerce.regular_price"
		},
		{
			"field_name": "sale_price",
			"field_type": "double",
			"local_field": "json_data.woocommerce.sale_price"
		},
		{
			"field_name": "shipping_class",
			"field_type": "text",
			"local_field": "json_data.woocommerce.shipping_class"
		},
		{
			"field_name": "shipping_class_id",
			"field_type": "text",
			"local_field": "json_data.woocommerce.shipping_class_id"
		},
		{
			"field_name": "slug",
			"field_type": "text",
			"local_field": "json_data.woocommerce.slug"
		},
		{
			"field_name": "total_sales",
			"field_type": "double",
			"local_field": "json_data.woocommerce.total_sales"
		},
		{
			"field_name": "virtual",
			"field_type": "text",
			"local_field": "json_data.woocommerce.virtual"
		},
		{
			"field_name": "_links",
			"field_type": "text",
			"local_field": "json_data.woocommerce._links"
		},
		{
			"field_name": "cross_sell_ids",
			"field_type": "text",
			"local_field": "json_data.woocommerce.cross_sell_ids"
		},
		{
			"field_name": "downloads",
			"field_type": "text",
			"local_field": "json_data.woocommerce.downloads"
		},
		{
			"field_name": "images",
			"field_type": "text",
			"local_field": "json_data.woocommerce.images"
		},
		{
			"field_name": "meta_data",
			"field_type": "text",
			"local_field": "json_data.woocommerce.meta_data"
		},
		{
			"field_name": "related_ids",
			"field_type": "text",
			"local_field": "json_data.woocommerce.related_ids"
		},
		{
			"field_name": "upsell_ids",
			"field_type": "text",
			"local_field": "json_data.woocommerce.upsell_ids"
		},
		{
			"field_name": "picture??",
			"field_type": "text",
			"local_field": "json_data.picture_path"
		}
	],
	"example_data": {
		"id": 794,
		"name": "Premium Quality",
		"slug": "premium-quality-19",
		"permalink": "https://example.com/product/premium-quality-19/",
		"date_created": "2017-03-23T17:01:14",
		"date_created_gmt": "2017-03-23T20:01:14",
		"date_modified": "2017-03-23T17:01:14",
		"date_modified_gmt": "2017-03-23T20:01:14",
		"type": "simple",
		"status": "publish",
		"featured": false,
		"catalog_visibility": "visible",
		"description": "<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\n",
		"short_description": "<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\n",
		"sku": "",
		"price": "21.99",
		"regular_price": "21.99",
		"sale_price": "",
		"date_on_sale_from": null,
		"date_on_sale_from_gmt": null,
		"date_on_sale_to": null,
		"date_on_sale_to_gmt": null,
		"price_html": "<span class=\"woocommerce-Price-amount amount\"><span class=\"woocommerce-Price-currencySymbol\">&#36;</span>21.99</span>",
		"on_sale": false,
		"purchasable": true,
		"total_sales": 0,
		"virtual": false,
		"downloadable": false,
		"downloads": [],
		"download_limit": -1,
		"download_expiry": -1,
		"external_url": "",
		"button_text": "",
		"tax_status": "taxable",
		"tax_class": "",
		"manage_stock": false,
		"stock_quantity": null,
		"in_stock": true,
		"backorders": "no",
		"backorders_allowed": false,
		"backordered": false,
		"sold_individually": false,
		"weight": "",
		"dimensions": {
			"length": "",
			"width": "",
			"height": ""
		},
		"shipping_required": true,
		"shipping_taxable": true,
		"shipping_class": "",
		"shipping_class_id": 0,
		"reviews_allowed": true,
		"average_rating": "0.00",
		"rating_count": 0,
		"related_ids": [53, 40, 56, 479, 99],
		"upsell_ids": [],
		"cross_sell_ids": [],
		"parent_id": 0,
		"purchase_note": "",
		"categories": [
			{
				"id": 9,
				"name": "Clothing",
				"slug": "clothing"
			},
			{
				"id": 14,
				"name": "T-shirts",
				"slug": "t-shirts"
			}
		],
		"tags": [],
		"images": [
			{
				"id": 792,
				"date_created": "2017-03-23T14:01:13",
				"date_created_gmt": "2017-03-23T20:01:13",
				"date_modified": "2017-03-23T14:01:13",
				"date_modified_gmt": "2017-03-23T20:01:13",
				"src": "https://example.com/wp-content/uploads/2017/03/T_2_front-4.jpg",
				"name": "",
				"alt": "",
				"position": 0
			},
			{
				"id": 793,
				"date_created": "2017-03-23T14:01:14",
				"date_created_gmt": "2017-03-23T20:01:14",
				"date_modified": "2017-03-23T14:01:14",
				"date_modified_gmt": "2017-03-23T20:01:14",
				"src": "https://example.com/wp-content/uploads/2017/03/T_2_back-2.jpg",
				"name": "",
				"alt": "",
				"position": 1
			}
		],
		"attributes": [],
		"default_attributes": [],
		"variations": [],
		"grouped_products": [],
		"menu_order": 0,
		"meta_data": [],
		"_links": {
			"self": [
				{
					"href": "https://example.com/wp-json/wc/v2/products/794"
				}
			],
			"collection": [
				{
					"href": "https://example.com/wp-json/wc/v2/products"
				}
			]
		}
	}
}
